import User from './user/User';
import Request from './../lib/request/Request';
import * as _misc from './../util/Misc';
import I18nInterface from './../lib/i18n/interfaces/I18n';
import TranslationParser from './../lib/i18n/TranslationParser';
import IText from './../lib/i18n/interfaces/translations/IText';
export default class FrontendSDK {
    private static instance;
    private constructor();
    getUser(jwt: string): User;
    getRequest(endpoint: string): Request;
    get misc(): typeof _misc;
    getTranslator(lang: string, texts: IText[]): I18nInterface;
    getTranslationParser(dir: string): TranslationParser;
    static getInstance(): FrontendSDK;
    static isValidJWT(jwt: string): boolean;
    logoutUser(url: string): void;
    goToProfileSetting(url: string): void;
    goToAccountSetting(url: string): void;
}
//# sourceMappingURL=FrontendSDK.d.ts.map